SparkFun Qwiic Time-of-Flight Sensor VL53L5CX Arduino Library
=============================================



<table class="table table-hover table-striped table-bordered">
    <tr>
        <th class="text-center"> 
        </th>
        <th class="text-center">
        </th>
    </tr>
    <tr align="center">
        <td><a href="https://www.sparkfun.com/products/18642"><img src="https://cdn.sparkfun.com/assets/parts/1/8/1/6/9/18642-SparkFun_Qwiic_ToF_Imager_-_VL53L5CX-01.jpg" alt=""></a></td>
        <td><a href="https://www.sparkfun.com/products/19013"><img src="https://cdn.sparkfun.com/assets/parts/1/8/6/1/2/19013-SparkFun_Qwiic_Mini_ToF_Imager_-_VL53L5CX-01.jpg" alt=""></a></td>
    </tr>
    <tr align="center">
        <td>SparkFun Qwiic ToF Imager - VL53L5CX (SEN-18642)</td>
        <td>SparkFun Qwiic Mini ToF Imager - VL53L5CX (SEN-19013)</td>
    </tr>
</table>


The SparkFun Qwiic ToF Imager and the Mini are both built around VL53L5CX from ST Electronics; a state of the art, Time-of-Flight (ToF), multizone ranging sensor enhancing the ST FlightSense product family. This chip integrates a SPAD array, physical infrared filters, and diffractive optical elements (DOE) to achieve the best ranging performance in various ambient lighting conditions with a range of cover glass materials. Utilizing our handy Qwiic system, no soldering is required to connect it to the rest of your system. However, we still have broken out 0.1"-spaced pins in case you prefer to use a breadboard.

Multizone distance measurements are possible up to 8x8 zones with a wide 63° diagonal FoV which can be reduced by software. Thanks to ST Histogram patented algorithms, the VL53L5CX is able to detect different objects within the FoV. The Histogram also provides immunity to cover glass crosstalk beyond 60 cm.

Ideal for 3D room mapping, obstacle detection for robotics, gesture recognition, IoT, laser-assisted autofocus, and AR/VR enhancement, the Qwiic connector on this sensor makes integration easy. 

Repository Contents
-------------------

* **/documents** - Datasheet, application notes, etc.
* **/examples** - Example sketches for the library (.ino). Run these from the Arduino IDE. 
* **/src** - Source files for the library (.cpp, .h).
* **keywords.txt** - Keywords from this library that will be highlighted in the Arduino IDE. 
* **library.properties** - General library properties for the Arduino package manager. 

Documentation
--------------
* **[Hardware Repo](https://github.com/sparkfun/SparkFun_Qwiic_ToF_Imager_VL53L5CX)** - Hardware Repository for the Qwiic ToF Imager VL53L5CX
* **[Hookup Guide](https://learn.sparkfun.com/tutorials/qwiic-tof-imager---vl53l5cx-hookup-guide)** - Hookup guide for the Qwiic ToF Imager VL53L5CX

License Information
-------------------

This product is _**open source**_! 

Please review the LICENSE.md file for license information. 

If you have any questions or concerns on licensing, please contact techsupport@sparkfun.com.

Please use, reuse, and modify these files as you see fit. Please maintain attribution to SparkFun Electronics and release anyThing Development Board derivative under the same license.

Distributed as-is; no warranty is given.
